<?php
/*
Plugin Name: GD Paid Business Listings
Plugin URI: http://www.guilddev.com/wordpress-plugins/
Description: This is a plugin that allows businesses to add themselves to a category-based business listing directory on your Wordpress site using package parameters that you have set up.  Install the plugin, fill in your settings, and paste shortcode into WordPress pages or posts.
Version: 0.1
Author: Guild Development, LLC
Author URI: http://www.guilddev.com
*/

/*  Copyright 2011  Guild Development, LLC  (email : support@guilddev.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function includeAdminCSS() {
	echo '<link type="text/css" rel="stylesheet" href="/wp-content/plugins/gd-paid-business-listings/css/gd-pbl.css" />' . "\n";
}
function includePublicCSS() {
	echo '<link type="text/css" rel="stylesheet" href="/wp-content/plugins/gd-paid-business-listings/css/gd-pbl-sc.css" />' . "\n";
}
add_action('admin_head','includeAdminCSS');
add_action('wp_head','includePublicCSS');

//wp_enqueue_style('gd-pbl-sc','/wp-content/plugins/gd-paid-business-listings/css/gd-pbl-sc.css',false,'1.1','all');

include("inc/inc_install_func.php");

register_activation_hook(__FILE__,'gd_pbl_db_install');

include("inc/inc_admin_menu_hooks.php");

function register_gd_pbl_settings() { // whitelist options
  register_setting( 'gd_pbl_options_group', 'gd_pbl_ppbizname' );
  register_setting( 'gd_pbl_options_group', 'gd_pbl_ppemail' );
  register_setting( 'gd_pbl_options_group', 'gd_pbl_buttimg' );
  register_setting( 'gd_pbl_options_group', 'gd_pbl_butttext' );
  register_setting( 'gd_pbl_options_group', 'gd_page_id' );
  register_setting( 'gd_pbl_options_group', 'gd_step_one_message' );
  register_setting( 'gd_pbl_options_group', 'gd_step_two_message' );
  register_setting( 'gd_pbl_options_group', 'gd_thank_you_message' );
  register_setting( 'gd_pbl_options_group', 'gd_bail_message' );
  register_setting( 'gd_pbl_options_group', 'gd_primary_hex_color' );
  register_setting( 'gd_pbl_options_group', 'gd_secondary_hex_color' );
}

include("inc/inc_gd_pbl_settings_page.php");
include("inc/inc_gd_pbl_packages_page.php");
include("inc/inc_gd_pbl_categories_page.php");
include("inc/inc_gd_pbl_listings_page.php");
include("inc/inc_gd_pbl_edit_listing_page.php");
include("inc/inc_display_gd_listings.php");
include("inc/inc_display_gd_form.php");
include("inc/inc_thankyou_page_function.php");

add_shortcode('gd-listings','display_gd_listings');
add_shortcode('gd-form','display_gd_form');
add_shortcode('gd-substatus','thankyou_page_function');